#include <iostream>
#include <string>
#include <sstream>

using namespace std;

int main() {
  int i;
  istringstream ein{"   123abc "};
  ein >> i;
  cout << "i: " << i << endl;

  string s;
  ostringstream aus;
  aus << hex << i;
  cout << "s: " << aus.str() << endl;

  return 0;
}
